Opened 12 months ago

Closed 4 days ago

Last modified 4 days ago

#2489 closed Task (fixed)

General routine for light vertical penetration

Reported by: lovato Owned by: lovato
Priority: normal Milestone: Unscheduled
Component: TOP Version: trunk
Severity: minor Keywords: TOP, IMMERSE, 2020WP,
Cc: Branch review: passed
MP ready?: no Task progress: Completed

Description

Workplan action

Wikipage: wiki:2020WP/TOP-04_lovato_IMMERSE_BGC_interface

Implement a common interface to handle the propagation of visible light within the water column layers (related to IMMERSE project Task 5.2)

Commit History (6)

ChangesetAuthorTimeChangeLog
14964lovato2021-06-09T18:47:29+02:00

add missing namelist from #2489

14558lovato2021-03-01T14:27:38+01:00

include TOP optical module (#2489)

14421lovato2021-02-09T17:28:43+01:00

add trcopt diag fields to SHARED nemo xml (ticket #2489)

14415lovato2021-02-06T14:04:27+01:00

trcopt revised computation of light at different location (ticket #2489)

14362lovato2021-01-31T18:35:29+01:00

trcopt reference version for reference light at top level (#2489)

13107lovato2020-06-12T20:34:30+02:00

add trcopt.F90 containing generalized module for vertical light propagation (ticket #2489)

Change History (9)

comment:1 Changed 12 months ago by lovato

In 13107:

add trcopt.F90 containing generalized module for vertical light propagation (ticket #2489)

comment:2 Changed 4 months ago by lovato

In 14362:

trcopt reference version for reference light at top level (#2489)

comment:3 Changed 4 months ago by lovato

In 14415:

trcopt revised computation of light at different location (ticket #2489)

comment:4 Changed 4 months ago by lovato

In 14421:

add trcopt diag fields to SHARED nemo xml (ticket #2489)

comment:5 Changed 3 months ago by lovato

Following the ST discussion of 2021-02-25, only the code for the optical module for TOP will be merged in the trunk, while the inclusion of namelist modifications will occur in the next NEMO merge.

However, the new module is ready for use and only need to be explicitly called by BGC coupled model in order to be used, following the code changes documented in the associated wiki page

comment:6 Changed 3 months ago by lovato

In 14558:

include TOP optical module (#2489)

comment:7 Changed 2 months ago by nemo

  • Milestone changed from IMMERSE 2020 to Unscheduled

comment:8 Changed 4 days ago by lovato

In 14964:

add missing namelist from #2489

comment:9 Changed 4 days ago by lovato

  • Branch review changed from pending to passed
  • Resolution set to fixed
  • Status changed from new to closed
  • Task progress changed from Initiated to Completed

This activity was completed with the inclusion of missing namelist in the code at r14964

Here below the sette report before committing changes

Current code is : NEMO/trunk @ r14961  ( last change @ r14961 )

SETTE validation report generated for :

       NEMO/trunk @ r14961+ (last changed revision)

       on X64_ZEUS arch file


!!---------------1st pass------------------!!

   !----restart----!
WGYRE_PISCES_ST              run.stat    restartability  passed :  14961+
WGYRE_PISCES_ST              tracer.stat restartability  passed :  14961+
WORCA2_ICE_PISCES_ST         run.stat    restartability  passed :  14961+
WORCA2_ICE_PISCES_ST         tracer.stat restartability  passed :  14961+
WORCA2_OFF_PISCES_ST         tracer.stat restartability  passed :  14961+
WAMM12_ST                    run.stat    restartability  passed :  14961+
WORCA2_SAS_ICE_ST            run.stat    restartability  passed :  14961+
WAGRIF_DEMO_ST               run.stat    restartability  passed :  14961+
WWED025_ST                   run.stat    restartability  passed :  14961+
WISOMIP+_ST                  run.stat    restartability  passed :  14961+
WOVERFLOW_ST                 run.stat    restartability  passed :  14961+
WLOCK_EXCHANGE_ST            run.stat    restartability  passed :  14961+
WVORTEX_ST                   run.stat    restartability  passed :  14961+
WICE_AGRIF_ST                run.stat    restartability  passed :  14961+
WSWG_ST                      directory                  MISSING :  14961+

   !----repro----!
WGYRE_PISCES_ST              run.stat    reproducibility passed :  14961+
WGYRE_PISCES_ST              tracer.stat reproducibility passed :  14961+
WORCA2_ICE_PISCES_ST         run.stat    reproducibility passed :  14961+
WORCA2_ICE_PISCES_ST         tracer.stat reproducibility passed :  14961+
WORCA2_OFF_PISCES_ST         tracer.stat reproducibility passed :  14961+
WAMM12_ST                    run.stat    reproducibility passed :  14961+
WORCA2_SAS_ICE_ST            run.stat    reproducibility passed :  14961+
WORCA2_ICE_OBS_ST            run.stat    reproducibility passed :  14961+
WAGRIF_DEMO_ST               run.stat    reproducibility passed :  14961+
WWED025_ST                   run.stat    reproducibility passed :  14961+
WISOMIP+_ST                  run.stat    reproducibility passed :  14961+
WVORTEX_ST                   run.stat    reproducibility passed :  14961+
WICE_AGRIF_ST                run.stat    reproducibility passed :  14961+
WSWG_ST                      directory                  MISSING :  14961+

   !----agrif check----!
ORCA2 AGRIF vs ORCA2 NOAGRIF run.stat    unchanged  -    passed :  14961+ 14961+
Last edited 4 days ago by lovato (previous) (diff)
Note: See TracTickets for help on using tickets.